---
title: "Get Invoice by ID"
slug: "get-invoice-by-id"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice by ID

Get/v1/invoices/{invoiceId}

Read a specific invoice by ID.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Path parametersinvoiceIdintegerRequired

Invoice ID

Responses200

Successfully retrieved invoice

<select class='api-response-data' aria-label='Media type'><option value='f51fd31d-a707-46a0-ad4f-6a05e7dcf215'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "id": "98765",
    "subInvoiceId": "112233",
    "subAccountId": "54321",
    "subAccountName": "Sample Sub-Account",
    "subAccountEmail": "subaccount@example.com",
    "channelAccountId": "7890",
    "channelAccountName": "Sample Channel Account",
    "channelAccountEmail": "channel@example.com",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "controlAccountEmail": "control@example.com",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "controlInvoiceId": "445566",
    "periodStart": "2024-01-01",
    "periodEnd": "2024-01-31",
    "totalStorage": "2026-05-25T00:00:00Z",
    "activeStorage": "4.00",
    "activeStorageUnitCost": "5.99",
    "activeStorageTotalCost": "23.96",
    "deletedStorage": "2026-01-25T00:00:00Z",
    "deletedStorageUnitCost": "5.99",
    "deletedStorageTotalCost": "7.49",
    "apiCalls": "150000.00",
    "apiCallsUnitCost": "0.01",
    "apiCallsTotalCost": "1500.00",
    "ingress": "10.50",
    "ingressUnitCost": "0.00",
    "ingressTotalCost": "0.00",
    "egress": "25.75",
    "egressUnitCost": "0.04",
    "egressTotalCost": "2026-01-03T00:00:00Z",
    "minimumActiveStorage": "1.00",
    "minimumActiveStorageUnitCost": "5.99",
    "minimumActiveStorageTotalCost": "5.99",
    "wasabiAccountNumber": "100123456"
  }
}
```

Expand Allobject  successboolean    
dataobject (InvoiceResponse)  idinteger    
subInvoiceIdinteger  (int64)    
subAccountIdinteger    
subAccountNamestring    
subAccountEmailstring    
channelAccountIdinteger    
channelAccountNamestring    
channelAccountEmailstring    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
controlInvoiceIdinteger  (int64)    
periodStartstring  (date)    
periodEndstring  (date)    
totalStoragenumber    
activeStoragenumber    
activeStorageUnitCostnumber    
activeStorageTotalCostnumber    
deletedStoragenumber    
deletedStorageUnitCostnumber    
deletedStorageTotalCostnumber    
apiCallsnumber    
apiCallsUnitCostnumber    
apiCallsTotalCostnumber    
ingressnumber    
ingressUnitCostnumber    
ingressTotalCostnumber    
egressnumber    
egressUnitCostnumber    
egressTotalCostnumber    
minimumActiveStoragenumber    
minimumActiveStorageUnitCostnumber    
minimumActiveStorageTotalCostnumber    
wasabiAccountNumberinteger  (int64)
